Debian Bug report logs - #508249
RFP: libio-pager-perl -- pipe output to a pager if destination is a TTY

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Damyan Ivanov <dmn@debian.org>

Date: Tue, 9 Dec 2008 09:24:02 UTC

Severity: wishlist

Tags: wontfix

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, <wnpp@debian.org>:
Bug#508249; Package wnpp. (Tue, 09 Dec 2008 09:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, <wnpp@debian.org>. (Tue, 09 Dec 2008 09:24:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libio-pager-perl -- pipe output to a pager if destination is a TTY
Date: Tue, 09 Dec 2008 11:19:42 +0200
Package: wnpp
Severity: wishlist
Owner: Damyan Ivanov <dmn@debian.org>

* Package name    : libio-pager-perl
  Version         : 0.05
  Upstream Author : Jerrad Pierce <jpierce@cpan.org>
* URL             : http://search.cpan.org/dist/IO-Pager/
* License         : other
 - Thou shalt not claim ownership of unmodified materials.
 - Thou shalt not claim whole ownership of modified materials.
 - Thou shalt grant the indemnity of the provider of materials.
 - Thou shalt use and dispense freely without other restrictions.

  Programming Lang: Perl
  Description     : pipe output to a pager if destination is a TTY

IO::Pager hijacks normal output to a given file handle and pipes it
through a pager program if the file handle is connected with a terminal.

This package is a dependency of clive 2 and will be maintained under
pkg-perl umbrella.




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 09 Dec 2008 19:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#508249; Package wnpp. (Fri, 12 Dec 2008 11:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. (Fri, 12 Dec 2008 11:21:02 GMT) Full text and rfc822 format available.

Message #12 received at 508249@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: 508249@bugs.debian.org
Cc: debian-legal@lists.debian.org
Subject: Re: Bug#508249: ITP: libio-pager-perl -- pipe output to a pager if destination is a TTY
Date: Fri, 12 Dec 2008 11:19:58 +0000
"brian m. carlson" <sandals@crustytoothpaste.ath.cx> wrote:
> On Tue, Dec 09, 2008 at 11:19:42AM +0200, Damyan Ivanov wrote:
> >* License         : other
> > - Thou shalt not claim ownership of unmodified materials.
> > - Thou shalt not claim whole ownership of modified materials.
> > - Thou shalt grant the indemnity of the provider of materials.
>
> This may be a problem.  I know in the past, clauses requiring
> indemnification were not allowed.  CCing debian-legal for discussion.
> Please follow up there.

What clauses requiring indemnification were not allowed?

As a counter-example, there are clauses requiring indemnification in
http://packages.debian.org/changelogs/pool/main/p/postfix/current/copyright
(under 4.  COMMERCIAL DISTRIBUTION but still needs considering, to
avoid discriminating against a field of endeavour).

> > - Thou shalt use and dispense freely without other restrictions.

I think this licence is ambiguous and should be discouraged, but I
haven't identified any particular DFSG concerns with libio-pager-perl.

Hope that helps,
-- 
MJR/slef
My Opinion Only: see http://people.debian.org/~mjr/
Please follow http://www.uk.debian.org/MailingLists/#codeofconduct





Information stored :
Bug#508249; Package wnpp. (Fri, 26 Dec 2008 19:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
Extra info received and filed, but not forwarded. (Fri, 26 Dec 2008 19:00:07 GMT) Full text and rfc822 format available.

Message #17 received at 508249-quiet@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Debian Perl Group <debian-perl@lists.debian.org>
Cc: 508249-quiet@bugs.debian.org, Frank Lichtenheld <ftpmaster@debian.org>
Subject: Re: Comments regarding libio-pager-perl_0.06-1_amd64.changes
Date: Fri, 26 Dec 2008 20:58:40 +0200
[Message part 1 (text/plain, inline)]
-=| Frank Lichtenheld, Thu, Dec 25, 2008 at 11:26:39PM +0000 |=-
> I'm really considering rejecting this module just for being
> crappy:
> 
> * the documentation doesn't really describe the behaviour,
>   since it claims that it will fall back to the defaults if ENV{PAGER}
>   is unusable, which is simply not true, it will only fall back if
>   ENV{PAGER} is undefined.
> * Doing the whole PAGER detection in BEGIN is also not the smartest idea
>   ever...
> * Same goes for saving it in ENV instead of the actual objects...
> * "#Some platforms don't do -x so we use -e" What crappy platforms are those and
>    why not just find them out via $^O or something?
> * Ignores /usr/bin/pager
> * "eval "require $class"; $class->new($_[0], $class);" -- uh, sure, that's surely
>   not gonna die in the second statement if the eval failed...
> * The package should recommend "less" since that is not Essential
> * "do{ warn -x $ENV{PAGER} ?" sure, lets us ignore all that stuff we did with split
>   and not using -x...
> 
> Is it really better to include this module in Debian than just rewriting it?

I agree it is crappy.

I wonder what would be appropriate line of action.

  1. fix the above in a series of patches and send them upstream (last 
  release in 2005)

  2. rewrite it from scratch and patch clive to use IO::PagerNG

  3. forget about IO::Pager and patch clive to not use it
  IO::Pager is only used in the --print-cache option and I guess users 
  can pipe its output to a pager themselves anyway

What do others think is best?

Options 2 and 3 also have the benefit of not having to deal with the 
funny upstream license.

For more background on how clive comes into play see 
http://lists.debian.org/debian-perl/2008/12/msg00030.html

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#508249; Package wnpp. (Sun, 28 Dec 2008 15:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 28 Dec 2008 15:57:05 GMT) Full text and rfc822 format available.

Message #22 received at 508249-quiet@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Perl Group <debian-perl@lists.debian.org>, 508249-quiet@bugs.debian.org
Subject: Re: Comments regarding libio-pager-perl_0.06-1_amd64.changes
Date: Sun, 28 Dec 2008 16:53:26 +0100
[Message part 1 (text/plain, inline)]
On Fri, 26 Dec 2008 20:58:40 +0200, Damyan Ivanov wrote:

> > I'm really considering rejecting this module just for being
> > crappy:
> I agree it is crappy.

>   1. fix the above in a series of patches and send them upstream (last 
>   release in 2005)
> 
>   2. rewrite it from scratch and patch clive to use IO::PagerNG
> 
>   3. forget about IO::Pager and patch clive to not use it
>   IO::Pager is only used in the --print-cache option and I guess users 
>   can pipe its output to a pager themselves anyway
> 
> What do others think is best?

I think option 3 is fine - having to use a pager is not really
uncommon on linux machines :)
 
Cheers,
gregor 
-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: John Zorn: Tzalim (Ribot)
[signature.asc (application/pgp-signature, inline)]

Tags added: wontfix Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Sun, 28 Dec 2008 19:09:04 GMT) Full text and rfc822 format available.

Information stored :
Bug#508249; Package wnpp. (Sun, 28 Dec 2008 19:09:15 GMT) Full text and rfc822 format available.

Message #27 received at 508249-quiet@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Debian Perl Group <debian-perl@lists.debian.org>, 508249-quiet@bugs.debian.org, ftp-master@debian.org
Subject: Re: Comments regarding libio-pager-perl_0.06-1_amd64.changes
Date: Sun, 28 Dec 2008 21:06:42 +0200
[Message part 1 (text/plain, inline)]
tags 508249 wontfix
thanks

-=| gregor herrmann, Sun, Dec 28, 2008 at 04:53:26PM +0100 |=-
> On Fri, 26 Dec 2008 20:58:40 +0200, Damyan Ivanov wrote:
> 
> > > I'm really considering rejecting this module just for being
> > > crappy:
> > I agree it is crappy.
> 
> >   1. fix the above in a series of patches and send them upstream (last 
> >   release in 2005)
> > 
> >   2. rewrite it from scratch and patch clive to use IO::PagerNG
> > 
> >   3. forget about IO::Pager and patch clive to not use it
> >   IO::Pager is only used in the --print-cache option and I guess users 
> >   can pipe its output to a pager themselves anyway
> > 
> > What do others think is best?
> 
> I think option 3 is fine - having to use a pager is not really
> uncommon on linux machines :)

So be it.

Ftp-masters, please reject libio-pager-perl from NEW.

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Tags removed: pending Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Sun, 28 Dec 2008 20:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Damyan Ivanov <dmn@debian.org>:
Bug#508249; Package wnpp. (Tue, 25 May 2010 17:09:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Damyan Ivanov <dmn@debian.org>. (Tue, 25 May 2010 17:09:45 GMT) Full text and rfc822 format available.

Message #34 received at 508249@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 508249@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libio-pager-perl: changing back from ITP to RFP
Date: Tue, 25 May 2010 17:06:20 +0000
retitle 508249 RFP: libio-pager-perl -- pipe output to a pager if destination is a TTY
noowner 508249
thanks

Hi,

This is an automatic email to change the status of libio-pager-perl back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting libio-pager-perl, please send a mail to
<control@bugs.debian.org> with:

 retitle 508249 ITP: libio-pager-perl -- pipe output to a pager if destination is a TTY
 owner 508249 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <508249@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: libio-pager-perl -- pipe output to a pager if destination is a TTY' from 'ITP: libio-pager-perl -- pipe output to a pager if destination is a TTY' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:15:19 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Damyan Ivanov <dmn@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:15:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:08:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.